Subject: MacOS client does not work when local username has space

From: Adam Tworkowski <[email-masked]>
Date: Thu, 13 Jul 2017 17:14:30 +0000

Package:  X2Go Client (MacOS)
Version: 4.1.0.0

I am not able to make a complete session with MacOS Sierra.  My (corporate) username is formatted “firstname lastname”, and thus:

/Users/firstname lastname/.x2go/
/Users/firstname lastname/.x2goclient/

I also have a personal account on the computer which is “firstname”, and thus:

/Users/firstname/

The error message I am getting while using the “firstname lastname” account is:

Loop: PANIC! Can’t read options from file ‘/Users/firstname.’  Error is 21 ‘is a directory’.

I have a strong suspicion that the client is having issues with the space in my username.  The reason I mention my personal account which is my first name is that /Users/firstname does exist and is a directory which may skew the error message during replication.  When /Users/firstname/ is temporarily renamed,  the client seems to hang and then closes without an error in ui.

Thank you,

Adam

________________________________

This e-mail may contain confidential, personal and/or health information(information which may be subject to legal restrictions on use, retention and/or disclosure) for the sole use of the intended recipient. Any review or distribution by anyone other than the person for whom it was originally intended is strictly prohibited. If you have received this e-mail in error, please contact the sender and delete all copies.